---
title: '<html>: The HTML Document / Root element'
slug: Web/HTML/Element/html
tags:
  - Element
  - HTML
  - HTML Root Element
  - Reference
  - Web
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML <code>&lt;html&gt;</code> element</strong> represents the root (top-level element) of an HTML document, so it is also referred to as the <em>root element</em>. All other elements must be descendants of this element.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>None.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>One {{HTMLElement("head")}} element, followed by one {{HTMLElement("body")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>The start tag may be omitted if the first thing inside the <code>&lt;html&gt;</code> element is not a comment.<br>
    The end tag may be omitted if the <code>&lt;html&gt;</code> element is not immediately followed by a comment.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>None. This is the root element of a document.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>No <code>role</code> permitted</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLHtmlElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("manifest")}} {{obsolete_inline}}</dt>
 <dd>Specifies the {{glossary("URI")}} of a resource manifest indicating resources that should be cached locally. See <a href="/en-US/docs/Web/HTML/Using_the_application_cache">Using the application cache</a> for details.</dd>
 <dt>{{htmlattrdef("version")}} {{obsolete_inline}}</dt>
 <dd>Specifies the version of the HTML {{glossary("DTD", "Document Type Definition")}} that governs the current document. This attribute is not needed, because it is redundant with the version information in the document type declaration.</dd>
 <dt>{{htmlattrdef("xmlns")}}</dt>
 <dd>Specifies the {{glossary("XML")}} {{glossary("Namespace")}} of the document. Default value is <code>"http://www.w3.org/1999/xhtml"</code>. This is required in documents parsed with XML {{glossary("parser", "parsers")}}, and optional in text/html documents.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
  &lt;head&gt;...&lt;/head&gt;
  &lt;body&gt;...&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Providing a {{htmlattrxref("lang")}} attribute with a <a href="https://www.ietf.org/rfc/bcp/bcp47.txt">valid IETF identifying language tag</a> on the <code>&lt;html&gt;</code> element will help screen reading technology determine the proper language to announce. The identifying language tag should describe the language used by the majority of the content of the page. Without it, screen readers will typically default to the operating system's set language, which may cause mispronunciations.</p>

<p>Including a valid <code>lang</code> declaration on the <code>&lt;html&gt;</code> element also ensures that important metadata contained in the page's {{HTMLElement("head")}}, such as the page's {{HTMLElement("title")}}, are also announced properly.</p>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Understandable#Guideline_3.1_%E2%80%94_Readable_Make_text_content_readable_and_understandable">MDN Understanding WCAG, Guideline 3.1 explanations</a></li>
 <li><a href="https://www.w3.org/TR/2016/NOTE-UNDERSTANDING-WCAG20-20161007/meaning-doc-lang-id.html">Understanding Success Criterion 3.1.1 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-html-element', '&lt;html&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'semantics.html#the-html-element', '&lt;html&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Added support for the <code>manifest</code> attribute (deprecated later).<br>
    Obsoleted the <code>version</code> attribute</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/global.html#h-7.3', '&lt;html&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td>Deprecated the <code>version</code> attribute</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.html")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>MathML top-level element: {{MathMLElement("math")}}</li>
 <li>SVG top-level element: {{SVGElement("svg")}}</li>
</ul>
